Page 1 of 1

Far crashes plugins - especially colorer

Posted: Thu 20 Sep, 2012 05:21
by MortenMacFly
Win7/64bit/Ultimate/Far3.0.2806/ConEmu12.09.16:

Since 2-3 revisions of the nighlies, far crashes the plugins "colorer" (and others sometimes), when opening an editor. Colorer-take5 is at revision 1.3.10. As this didn't happen before my last update of Far (from nighlies Far30b2796) I suspect a change in Far might be the reason...

Can anybody (preferable with colorer) reproduce? Am I wrong?

Re: Far crashes plugins - especially colorer

Posted: Thu 20 Sep, 2012 06:49
by 2useven10
Plugin API changed in build 2799+.
Almost all far3 plugins will not work while not adapted to api changes.
Downgrade to version 2798. old versions here

Re: Far crashes plugins - especially colorer

Posted: Tue 25 Sep, 2012 20:44
by MortenMacFly
2useven10 wrote:Downgrade to version 2798. old versions here
Thanks for the hint and sorry for the late reply. This workes.

However, I really hope there will be updates for the plugins, especially colorer whose update frequency is not that great.

Re: Far crashes plugins - especially colorer

Posted: Tue 25 Sep, 2012 21:08
by 2useven10
Far3 Plugin API frozen 2 days ago.
Only cosmetic changes (that doesn't break binary compatibility) and critical bug fixes accepted.
I hope plugin authors still have motivation to update their code...

Re: Far crashes plugins - especially colorer

Posted: Wed 26 Sep, 2012 12:38
by 2useven10
colorer fixed